FLAC: FLAC::Metadata::SimpleIterator Class Reference

FLAC 1.3.3

Classes | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
FLAC::Metadata::SimpleIterator Class Reference
FLAC C++ API » FLAC++/metadata.h: metadata interfaces » FLAC++/metadata.h: metadata level 1 interface

`#include <metadata.h>`

## Classes
class | Status

## Public Member Functions
bool | is_valid () const
bool | init (const char *filename, bool read_only, bool preserve_file_stats)
Status | status ()
bool | is_writable () const
bool | next ()
bool | prev ()
bool | is_last () const
off_t | get_block_offset () const
::FLAC__MetadataType | get_block_type () const
uint32_t | get_block_length () const
bool | get_application_id (FLAC__byte *id)
Prototype * | get_block ()
bool | set_block (Prototype *block, bool use_padding=true)
bool | insert_block_after (Prototype *block, bool use_padding=true)
bool | delete_block (bool use_padding=true)

## Protected Member Functions
void | clear ()

## Protected Attributes
::FLAC__Metadata_SimpleIterator * | iterator_

## Detailed Description

This class is a wrapper around the FLAC__metadata_simple_iterator structures and methods; see the usage guide and FLAC__Metadata_SimpleIterator.

## Member Function Documentation

## ◆ is_valid()

bool FLAC::Metadata::SimpleIterator::is_valid | ( |  | ) | const

Returns `true` iff object was properly constructed.

## ◆ init()

bool FLAC::Metadata::SimpleIterator::init | ( | const char * | filename,
|  | bool | read_only,
|  | bool | preserve_file_stats
| ) |  |

See FLAC__metadata_simple_iterator_init().

## ◆ status()

Status FLAC::Metadata::SimpleIterator::status | ( |  | ) |

See FLAC__metadata_simple_iterator_status().

## ◆ is_writable()

bool FLAC::Metadata::SimpleIterator::is_writable | ( |  | ) | const

See FLAC__metadata_simple_iterator_is_writable().

## ◆ next()

bool FLAC::Metadata::SimpleIterator::next | ( |  | ) |

See FLAC__metadata_simple_iterator_next().

## ◆ prev()

bool FLAC::Metadata::SimpleIterator::prev | ( |  | ) |

See FLAC__metadata_simple_iterator_prev().

## ◆ is_last()

bool FLAC::Metadata::SimpleIterator::is_last | ( |  | ) | const

See FLAC__metadata_simple_iterator_is_last().

## ◆ get_block_offset()

off_t FLAC::Metadata::SimpleIterator::get_block_offset | ( |  | ) | const

See FLAC__metadata_simple_iterator_get_block_offset().

## ◆ get_block_type()

::FLAC__MetadataType FLAC::Metadata::SimpleIterator::get_block_type | ( |  | ) | const

See FLAC__metadata_simple_iterator_get_block_type().

## ◆ get_block_length()

uint32_t FLAC::Metadata::SimpleIterator::get_block_length | ( |  | ) | const

See FLAC__metadata_simple_iterator_get_block_length().

## ◆ get_application_id()

bool FLAC::Metadata::SimpleIterator::get_application_id | ( | FLAC__byte * | id | ) |

See FLAC__metadata_simple_iterator_get_application_id().

## ◆ get_block()

Prototype* FLAC::Metadata::SimpleIterator::get_block | ( |  | ) |

See FLAC__metadata_simple_iterator_get_block().

## ◆ set_block()

bool FLAC::Metadata::SimpleIterator::set_block | ( | Prototype * | block,
|  | bool | use_padding = `true`
| ) |  |

See FLAC__metadata_simple_iterator_set_block().

## ◆ insert_block_after()

bool FLAC::Metadata::SimpleIterator::insert_block_after | ( | Prototype * | block,
|  | bool | use_padding = `true`
| ) |  |

See FLAC__metadata_simple_iterator_insert_block_after().

## ◆ delete_block()

bool FLAC::Metadata::SimpleIterator::delete_block | ( | bool | use_padding = `true` | ) |

See FLAC__metadata_simple_iterator_delete_block().

The documentation for this class was generated from the following file:

- include/FLAC++/metadata.h

Copyright (c) 2000-2009 Josh Coalson Copyright (c) 2011-2016 Xiph.Org Foundation |